Loading...
Searching...
No Matches
AttributeArray::Accessor< T > Struct Template Reference

`#include <openvdb/points/AttributeArray.h>`

Inheritance diagram for AttributeArray::Accessor< T >:

## Public Types

using | GetterPtr = T(*)(const AttributeArray *array, const Index n)
using | SetterPtr = void(*)(AttributeArray *array, const Index n, const T &value)
using | ValuePtr = void(*)(AttributeArray *array, const T &value)

## Public Member Functions

| Accessor (GetterPtr getter, SetterPtr setter, ValuePtr collapser, ValuePtr filler)

## Public Attributes

GetterPtr | mGetter
SetterPtr | mSetter
ValuePtr | mCollapser
ValuePtr | mFiller

## Detailed Description

template<typename T>
struct openvdb::v11_0::points::AttributeArray::Accessor< T >

Templated Accessor stores typed function pointers used in binding AttributeHandles

## Member Typedef Documentation

## GetterPtr

template<typename T >

using GetterPtr = T (*)(const AttributeArray* array, const Index n)

## SetterPtr

template<typename T >

using SetterPtr = void (*)(AttributeArray* array, const Index n, const T& value)

## ValuePtr

template<typename T >

using ValuePtr = void (*)(AttributeArray* array, const T& value)

## Constructor & Destructor Documentation

## Accessor()

template<typename T >

Accessor | ( | GetterPtr | getter,
|  | SetterPtr | setter,
|  | ValuePtr | collapser,
|  | ValuePtr | filler
| ) |  |

inline

## Member Data Documentation

## mCollapser

template<typename T >

ValuePtr mCollapser

## mFiller

template<typename T >

ValuePtr mFiller

## mGetter

template<typename T >

GetterPtr mGetter

## mSetter

template<typename T >

SetterPtr mSetter